textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm 	nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
        
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/hint
{
qer_nocarve
qer_trans 0.30
surfaceparm nodraw
surfaceparm nonsolid
surfaceparm structural
surfaceparm trans
surfaceparm noimpact
}

textures/common/skip
{
qer_nocarve
qer_trans 0.40
surfaceparm nodraw
surfaceparm nonsolid
surfaceparm structural
surfaceparm trans
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
        surfaceparm nolightmap
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/sockter/skybox
{
	qer_editorimage	textures/sockter/sky_clouds.tga

	q3map_sunext 1 .96 .87 100 325 80 2 16
	q3map_skylight 150 3

	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	
	skyparms textures/sockter/env/sky 512 -
	{	
		map textures/sockter/sky_clouds.tga
		tcmod scale 2.5 2.5
		tcmod scroll 0.0015 -0.0003
		rgbgen identitylighting
	}
	{
		map textures/sockter/sky_mask.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		tcmod transform	0.25 0 0 0.25 0.1075 0.1075
		rgbgen identitylighting
	}
}

textures/sockter/torchflame
{
	qer_editorimage	textures/sockter/flame1_editor.tga
	qer_alphafunc greater 0.5
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	qer_trans 0.99
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}
}

textures/sockter/wood1toplit
{
	qer_editorimage	textures/sockter/wood1toplit.tga
	q3map_nonplanar
	q3map_shadeangle 179

	{
		map textures/sockter/wood1toplit.tga
		rgbgen vertex
	}
	{
		map textures/sockter/wood1glow.tga
		blendfunc add
		tcmod rotate -6
		rgbgen wave sin .8 .1 0 .6	
	}
	{
		map textures/sockter/wood1glow.tga
		blendfunc add
		tcmod rotate 8
	}
}

textures/sockter/wood1topout
{
	qer_editorimage	textures/sockter/wood1topout.tga
	q3map_nonplanar
	q3map_shadeangle 120

	{
		map textures/sockter/wood1topout.tga
		rgbgen const ( 0.3 0.3 0.3 )
	}
}

textures/sockter/dcl_burnmark
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	polygonoffset
	qer_editorimage	textures/sockter/dcl_burnmark_editor.tga

	{
		map textures/sockter/dcl_burnmark.tga
		blendfunc gl_zero gl_one_minus_src_alpha
		rgbgen vertex
		alphagen vertex
	}
}

textures/sockter/jumppad_fx
{
	qer_editorimage	textures/sockter/jumppad.tga
	{
		clampmap textures/sockter/jumppad_swirl1.tga
		tcmod rotate 180
		tcmod stretch sin 0.8 0.1 0.0 0.5
	}
	{
		clampmap textures/sockter/jumppad_swirl4.tga
		blendfunc add
		tcmod rotate 45
		rgbgen wave sin 0.6 0.05 0.0 0.02
	}
	{
		map textures/sockter/jumppad.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/sockter/markerarmour
{
	qer_editorimage	textures/sockter/teleporter_swirl4.tga
	qer_alphafunc greater 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	polygonoffset
	nomipmaps
	{
		clampmap textures/sockter/jumppad_swirl4.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcmod rotate 45
		rgbgen wave sin 0.8 .15 .2 0.05
	}
	{
		clampmap textures/sockter/jumppad_swirl1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcmod rotate 180
		rgbgen const ( 0.75 1.0 0.25 )
		tcmod stretch sin 0.9 0.1 0 .5
	}
}

textures/sockter/markerweapon
{
	qer_editorimage	textures/sockter/jumppad_swirl4.tga
	qer_alphafunc greater 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	polygonoffset
	nomipmaps
	{
		clampmap textures/sockter/jumppad_swirl4.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcmod rotate 45
		rgbgen wave sin 0.8 .15 .2 0.05
	}
	{
		clampmap textures/sockter/jumppad_swirl1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcmod rotate 180
		rgbgen const ( 1.0 0.5 0.5 )
		tcmod stretch sin 0.9 0.1 0 .5
	}
}

textures/sockter/markerplayer
{
	qer_editorimage	textures/sockter/player_swirl1.tga
	qer_alphafunc greater 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	polygonoffset
	{
		map textures/sockter/player_swirl1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcmod rotate 45
		rgbgen wave sin	0.5 .15 .25 0.1
	}
	{
		map textures/sockter/player_swirl1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcmod rotate 90
		rgbgen wave sin 0.5 .15 .25 0.05
	}
}

textures/sockter/teleporter_fx
{
	qer_editorimage	textures/sockter/teleporter_editor.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	{
		clampmap textures/sockter/teleporter_swirl4.tga
		blendfunc add
		tcmod rotate 45
		rgbgen wave sin 0.8 .15 .2 0.05
	}
	{
		clampmap textures/sockter/teleporter_swirl1.tga
		blendfunc add
		tcmod rotate 180
		rgbgen vertex
                tcmod stretch sin 0.9 0.1 0 .5
	}
}

textures/sockter/tree01_leaves
{
	qer_editorimage textures/sockter/tree01_leaves.tga
	q3map_backshader textures/sockter/tree01_leaves_back
	q3map_vertexscale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/sockter/tree01_leaves.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/tree01_leaves_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/tree01_leaves.tga
		rgbgen const ( 0.225 0.225 0.225 )
		alphafunc ge128		
	}	
}

textures/sockter/vine06
{
	qer_editorimage textures/sockter/vine06.tga
	q3map_backshader textures/sockter/vine06_back
	q3map_vertexscale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/sockter/vine06.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/vine06_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/vine06.tga
		rgbgen const ( 0.2 0.2 0.2 )
		alphafunc ge128		
	}	
}

textures/sockter/grass01
{
	qer_editorimage textures/sockter/grass01.tga
	q3map_backshader textures/sockter/grass01_back
	q3map_vertexscale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99

	{
		map textures/sockter/grass01.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/grass01_back
{
	qer_editorimage textures/sockter/grass01.tga
	q3map_vertexscale 2
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/grass01.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/grass01d
{
	qer_editorimage textures/sockter/grass01d.tga
	q3map_backshader textures/sockter/grass01d_back
	q3map_vertexscale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99

	{
		map textures/sockter/grass01d.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/grass01d_back
{
	qer_editorimage textures/sockter/grass01d.tga
	q3map_vertexscale 2
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/grass01d.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/mush_top01
{
	qer_editorimage textures/sockter/mush_top01.tga
	q3map_backshader textures/sockter/mush_backface01
	q3map_vertexscale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99

	q3map_nonplanar
	q3map_shadeangle 179		

	{
		map textures/sockter/mush_top01.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/mush_backface01
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/mush_back01.tga
		rgbgen const ( 0.3 0.3 0.3 )
		alphafunc ge128		
	}	
}

textures/sockter/mush_stem01
{
	qer_editorimage textures/sockter/mush_stem01.tga

	{
		map textures/sockter/mush_stem01.tga
		rgbgen const ( 0.3 0.3 0.3 )
	}	
}

textures/sockter/leave01a
{
	qer_editorimage textures/sockter/leave01a.tga
	q3map_backshader textures/sockter/leave01a_back
	q3map_vertexscale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave01a.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/leave01a_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave01a.tga
		rgbgen const ( 0.2 0.2 0.2 )
		alphafunc ge128		
	}	
}

textures/sockter/leave01b
{
	qer_editorimage textures/sockter/leave01b.tga
	q3map_backshader textures/sockter/leave01b_back
	q3map_vertexscale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave01b.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/leave01b_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave01b.tga
		rgbgen const ( 0.2 0.2 0.2 )
		alphafunc ge128		
	}	
}

textures/sockter/leave01d
{
	qer_editorimage textures/sockter/leave01d.tga
	q3map_backshader textures/sockter/leave01d_back
	q3map_vertexscale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave01d.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/leave01d_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave01d.tga
		rgbgen const ( 0.2 0.2 0.2 )
		alphafunc ge128		
	}	
}

textures/sockter/leave02a
{
	qer_editorimage textures/sockter/leave02a.tga
	q3map_backshader textures/sockter/leave02a_back
	q3map_vertexscale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave02a.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/leave02a_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave02a.tga
		rgbgen const ( 0.2 0.2 0.2 )
		alphafunc ge128		
	}	
}

textures/sockter/leave02c
{
	qer_editorimage textures/sockter/leave02c.tga
	q3map_backshader textures/sockter/leave02c_back
	q3map_vertexscale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave02c.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/leave02c_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave02c.tga
		rgbgen const ( 0.2 0.2 0.2 )
		alphafunc ge128		
	}	
}

textures/sockter/leave02d
{
	qer_editorimage textures/sockter/leave02d.tga
	q3map_backshader textures/sockter/leave02d_back
	q3map_vertexscale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave02d.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/leave02d_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave02d.tga
		rgbgen const ( 0.2 0.2 0.2 )
		alphafunc ge128		
	}	
}

textures/sockter/leave03a
{
	qer_editorimage textures/sockter/leave03a.tga
	q3map_backshader textures/sockter/leave03a_back
	q3map_vertexscale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave03a.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/leave03a_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave03a.tga
		rgbgen const ( 0.2 0.2 0.2 )
		alphafunc ge128		
	}	
}

textures/sockter/leave03b
{
	qer_editorimage textures/sockter/leave03b.tga
	q3map_backshader textures/sockter/leave03b_back
	q3map_vertexscale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave03b.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/leave03b_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave03b.tga
		rgbgen const ( 0.2 0.2 0.2 )
		alphafunc ge128		
	}	
}

textures/sockter/leave03c
{
	qer_editorimage textures/sockter/leave03c.tga
	q3map_backshader textures/sockter/leave03c_back
	q3map_vertexscale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave03c.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/leave03c_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave03c.tga
		rgbgen const ( 0.2 0.2 0.2 )
		alphafunc ge128		
	}	
}

textures/sockter/leave04d
{
	qer_editorimage textures/sockter/leave04d.tga
	q3map_backshader textures/sockter/leave04d_back
	q3map_vertexscale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave04d.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128		
	}	
}

textures/sockter/leave04d_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/leave04d.tga
		rgbgen const ( 0.2 0.2 0.2 )
		alphafunc ge128		
	}	
}

textures/sockter/ter_dirtmud
{
        qer_editorimage textures/sockter/ter_dirtmud.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphamod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/sockter/ter_dirt1.tga	
		rgbgen identity
	}
	{
		map textures/sockter/ter_mud1.tga	
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphafunc ge128
		rgbgen identity
		alphagen vertex
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sockter/ter_mossgravel
{
        qer_editorimage textures/sockter/ter_mossgravel.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphamod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/sockter/ter_moss1.tga	
		rgbgen identity
	}
	{
		map textures/sockter/ter_gravel1.tga	
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphafunc ge128
		rgbgen identity
		alphagen vertex
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sockter/ter_mossmud
{
        qer_editorimage textures/sockter/ter_mossmud.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphamod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/sockter/ter_moss1.tga	
		rgbgen identity
	}
	{
		map textures/sockter/ter_mud1.tga	
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphafunc ge128
		rgbgen identity
		alphagen vertex
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sockter/ter_rockmoss
{
        qer_editorimage textures/sockter/ter_rockmoss.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphamod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/sockter/ter_rock3.tga	
		rgbgen identity
	}
	{
		map textures/sockter/ter_moss1.tga	
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphafunc ge128
		rgbgen identity
		alphagen vertex
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sockter/ter_rockmud
{
        qer_editorimage textures/sockter/ter_rockmud.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphamod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/sockter/ter_rock3.tga	
		rgbgen identity
	}
	{
		map textures/sockter/ter_mud1.tga	
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphafunc ge128
		rgbgen identity
		alphagen vertex
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sockter/ter_sandgravel
{
        qer_editorimage textures/sockter/ter_sandgravel.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphamod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/sockter/ter_sand1.tga	
		rgbgen identity
	}
	{
		map textures/sockter/ter_gravel1.tga	
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphafunc ge128
		rgbgen identity
		alphagen vertex
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sockter/bigbrick01
{
	q3map_nonplanar
	q3map_shadeangle 45	
        qer_editorimage textures/sockter/bigbrick01.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sockter/bigbrick01.tga
		blendfunc filter
	}
}

textures/sockter/bigbrick01r
{
	q3map_nonplanar
	q3map_shadeangle 45	
        qer_editorimage textures/sockter/bigbrick01r.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sockter/bigbrick01r.tga
		blendfunc filter
	}
}

textures/sockter/bigbrick01t
{
	q3map_nonplanar
	q3map_shadeangle 45	
        qer_editorimage textures/sockter/bigbrick01t.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sockter/bigbrick01t.tga
		blendfunc filter
	}
}

textures/sockter/ter_dirt1
{
	q3map_nonplanar
	q3map_shadeangle 120
        qer_editorimage textures/sockter/ter_dirt1.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sockter/ter_dirt1.tga
		blendfunc filter
	}
}

textures/sockter/ter_dirt1vec
{
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
        qer_editorimage textures/sockter/ter_dirt1vec.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sockter/ter_dirt1.tga
		blendfunc filter
	}
}

textures/sockter/ter_rock2
{
	q3map_nonplanar
	q3map_shadeangle 120
        qer_editorimage textures/sockter/ter_rock2.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sockter/ter_rock2.tga
		blendfunc filter
	}
}

textures/sockter/ter_rock2vine
{
	q3map_nonplanar
	q3map_shadeangle 120
        qer_editorimage textures/sockter/ter_rock2vine.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sockter/ter_rock2vine.tga
		alphafunc gt0
		blendfunc filter
	}
}

textures/sockter/ter_rock3
{
	q3map_nonplanar
	q3map_shadeangle 45
        qer_editorimage textures/sockter/ter_rock3.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sockter/ter_rock3.tga
		blendfunc filter
	}
}

textures/sockter/ter_rock2blend
{
        qer_editorimage textures/sockter/ter_rock2blend.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	
	{
		map textures/sockter/ter_rock2.tga	
		rgbgen identity
	}
	{
		map textures/sockter/ter_rock2vine.tga	
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphafunc ge128
		rgbgen identity
		alphagen vertex
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sockter/alpha_000
{
	q3map_alphamod volume
	q3map_alphamod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/sockter/alpha_025
{
	q3map_alphamod volume
	q3map_alphamod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/sockter/alpha_050
{
	q3map_alphamod volume
	q3map_alphamod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/sockter/alpha_075
{
	q3map_alphamod volume
	q3map_alphamod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/sockter/alpha_085
{
	q3map_alphamod volume
	q3map_alphamod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/sockter/alpha_100
{
	q3map_alphamod volume
	q3map_alphamod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

